Bug 251380 - databases/mongodb42: Update to 4.2.11 (mongodb42-tools also)
Summary: databases/mongodb42: Update to 4.2.11 (mongodb42-tools also)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://docs.mongodb.com/manual/relea...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-11-25 14:50 UTC by Ronald Klop
Modified: 2020-11-27 10:06 UTC (History)
1 user (show)

See Also:


Attachments
svn diff (1.84 KB, patch)
2020-11-25 14:50 UTC, Ronald Klop
ronald-lists: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2020-11-25 14:50:56 UTC
Created attachment 219966 [details]
svn diff

Just a version bump.

Compiled on 12/aarch64.
portlint ok
Comment 1 Fernando Apesteguía freebsd_committer 2020-11-25 18:17:24 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

Q/A: patch did not apply cleanly. Would you mind checking it?

Patch contains CRLF terminators. If you pasted it in bugzilla try to upload it as an attachment.


Thanks!
Comment 2 Ronald Klop 2020-11-25 22:06:12 UTC
(In reply to Fernando Apesteguía from comment #1)
I don't see a problem with the patches. They apply cleanly on another ports checkout.
If I look at the patch with hexdump I don't see CRLF characters. So can you elaborate on that?
Comment 3 Fernando Apesteguía freebsd_committer 2020-11-26 06:59:50 UTC
(In reply to Ronald Klop from comment #2)

I think you are right about the patch :-)

I'm pretty sure I run file on the patch, but I don't have the original. Nevertheless, I tried to apply the patch again against a fresh copy of the port and it does not apply for me. It generates two .rej files:

$ cat distinfo.rej
@@ -1,3 +1,3 @@
-TIMESTAMP = 1601900014
-SHA256 (mongodb-mongo-tools-r4.2.10_GH0.tar.gz) = f8e35821d1f72b5dd55b9cbf47204a7867c7f5f0a4120aa3f7d67c60f55c91ea
-SIZE (mongodb-mongo-tools-r4.2.10_GH0.tar.gz) = 15026566
+TIMESTAMP = 1606309606
+SHA256 (mongodb-mongo-tools-r4.2.11_GH0.tar.gz) = f211fa7d4b28dbfe85768ae11ae52afe7bc8542f28d68b3afc660a21d1b9306e
+SIZE (mongodb-mongo-tools-r4.2.11_GH0.tar.gz) = 15028877

$ cat Makefile.rej
@@ -2,7 +2,7 @@

 PORTNAME=      mongodb42-tools
 DISTVERSIONPREFIX=     r
-DISTVERSION=   4.2.10
+DISTVERSION=   4.2.11
 CATEGORIES=    databases

 MAINTAINER=    ronald-lists@klop.ws

Inspecting Makefile and distinfo shows that the changes are applied anyway...

Just out of curiosity, did you upload the patch or copy-pasted it in bugzilla?
Comment 4 Ronald Klop 2020-11-26 12:44:08 UTC
(In reply to Fernando Apesteguía from comment #3)

I uploaded the patch.
If I just upload the patch for one port per PR would that help in automation of issue handling?
Comment 5 Fernando Apesteguía freebsd_committer 2020-11-26 14:16:38 UTC
(In reply to Ronald Klop from comment #4)

Ah... that's it. Sorry I didn't see it earlier. Well, I don't think there is a hard rule about one PR <-> one port, especially when those ports are so interrelated.

It is all perfectly clear now, thanks :-)
Comment 6 commit-hook freebsd_committer 2020-11-27 10:06:15 UTC
A commit references this bug:

Author: fernape
Date: Fri Nov 27 10:05:42 UTC 2020
New revision: 556435
URL: https://svnweb.freebsd.org/changeset/ports/556435

Log:
  databases/mongodb42{-tools}: Update to 4.2.11

  ChangeLog: https://docs.mongodb.com/manual/release-notes/4.2/#nov-18-2020

  PR:	251380
  Submitted by:	ronald-lists@klop.ws (maintainer)

Changes:
  head/databases/mongodb42/Makefile
  head/databases/mongodb42/distinfo
  head/databases/mongodb42-tools/Makefile
  head/databases/mongodb42-tools/distinfo
Comment 7 Fernando Apesteguía freebsd_committer 2020-11-27 10:06:29 UTC
Committed,

Thanks!